elm::multibuttonentry Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::multibuttonentry Struct Reference

Class multibuttonentry. More...

## Public Member Functions
| multibuttonentry (Eo *eo)
| Eo Constructor. More...
| multibuttonentry (std::nullptr_t)
| nullptr_t Constructor. More...
| multibuttonentry (multibuttonentry const &other)
| Copy Constructor.
::elm::widget_item | item_prepend (::efl::eina::string_view label_, Evas_Smart_Cb func_, void *data_) const
void | item_filter_remove (Elm_Multibuttonentry_Item_Filter_Cb func_, void *data_) const
::elm::widget_item | item_insert_before (::elm::widget_item before_,::efl::eina::string_view label_, Evas_Smart_Cb func_, void *data_) const
::elm::widget_item | item_append (::efl::eina::string_view label_, Evas_Smart_Cb func_, void *data_) const
void | item_filter_prepend (Elm_Multibuttonentry_Item_Filter_Cb func_, void *data_) const
void | item_filter_append (Elm_Multibuttonentry_Item_Filter_Cb func_, void *data_) const
::elm::widget_item | item_insert_after (::elm::widget_item after_,::efl::eina::string_view label_, Evas_Smart_Cb func_, void *data_) const
| multibuttonentry (::efl::eo::parent_type _p)
| Constructs a new elm::multibuttonentry object. More...

## Detailed Description

Class multibuttonentry.

## Constructor & Destructor Documentation

elm::multibuttonentry::multibuttonentry | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::multibuttonentry object.

Constructs a new elm::multibuttonentry object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::multibuttonentry my_multibuttonentry(efl::eo::parent = parent_object);

See also
  multibuttonentry(Eo* eo)

elm::multibuttonentry::multibuttonentry | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::multibuttonentry::multibuttonentry | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

::elm::widget_item elm::multibuttonentry::item_append | ( | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  label |
  func |
  data |

void elm::multibuttonentry::item_filter_append | ( | Elm_Multibuttonentry_Item_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  func |
  data |

void elm::multibuttonentry::item_filter_prepend | ( | Elm_Multibuttonentry_Item_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  func |
  data |

void elm::multibuttonentry::item_filter_remove | ( | Elm_Multibuttonentry_Item_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  func |
  data |

::elm::widget_item elm::multibuttonentry::item_insert_after | ( | ::elm::widget_item | after_,
|  | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  after |
  label |
  func |
  data |

::elm::widget_item elm::multibuttonentry::item_insert_before | ( | ::elm::widget_item | before_,
|  | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  before |
  label |
  func |
  data |

::elm::widget_item elm::multibuttonentry::item_prepend | ( | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  label |
  func |
  data |